Subject: Re: bug#37909: 25.3; repeat does not repeat yank correctly
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Ulrich Windl <[email-masked]>, [email-masked]
Date: Thu, 16 Jan 2020 15:26:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 24 Oct 2019 21:21:46 +0200
>> From: "Ulrich Windl" <[email-masked]>
>> 
>> Trying to repeat the last yank 98 times using "C-u 98 M-x repeat" turned out
>> that the last yank wasn't inserted 98 times, but the last character of the last
>> yank (which is quite unexpected). Most preferrably as a vi-user I'd like C-u 98
>> C-y to yank the last kill 98 times, but things seem different.
>> 
>> For the records: The last kill was "' '{L/R:D=I<1-49>C<6>S< >U}
>> {L/R:D=I<0-9>}'", and the text inserted was
>> "''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''".
>
> The doc string of 'repeat' says:
>
>   Repeat most recently executed command.
>   If REPEAT-ARG is non-nil (interactively, with a prefix argument),
>   supply a prefix argument to that command.
>
> So "C-u 98 M-x repeat" invokes the _previous_ command, in your case
> C-y, with the argument of 98.  And the documentation of C-y says:
>
>   With argument N, reinsert the Nth most recent kill.
>
> So it does NOT insert the most recent kill 98 times, it inserts the
> 98th recent kill.
>
> Does this explain what you saw?  If not, what remains unexplained or
> unexpected?

More information was requested, but none was given within 11 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas